.overlay{
    position: 'fixed';
    bottom: 0;
    left: 37.5%;
    right: 0;
    height: 40%;
    max-width: 360px;
    background-color: 'rgba(0, 0, 0, 0.8)';
    color: 'white';
    display: 'flex';
    justify-content: 'center';
    align-items: 'flex-end';
    transition: 'transform 0.3s ease-in-out';
    z-index: 1000;
}